Package org.acplt.oncrpc.server

# Interface OncRpcServerAuthScheme

public interface OncRpcServerAuthScheme
Implementing this interface enables the definition of a custom authentication scheme, which is intended to be provided by an ONC/RPC server.

Defining an authentication scheme requires both, providing the authentication type (flavor) identified numerically and providing appropriate handler instances implementing the interface `OncRpcServerAuth`.

Author:
  Harald Wirths <hwirths@nde.ag>

## Method Summary

Modifier and Type
Method
Description
`int`
`getAuthenticationType()`
Delivers the authentication type (flavor) provided by this authentication scheme.
`OncRpcServerAuth`
`getNewHandler()`
Delivers a new authentication handler with respect to the provided authentication scheme.

## Method Details

### getAuthenticationType

int getAuthenticationType()
Delivers the authentication type (flavor) provided by this authentication scheme.

Returns:
  The authentication type identified by its number.

### getNewHandler

OncRpcServerAuth getNewHandler()
Delivers a new authentication handler with respect to the provided authentication scheme.

The returned authentication handler is an implementation of the interface `OncRpcServerAuth`.

Returns:
  A new instance of the authentication handler provided by this authentication scheme.